# Class SkySimScheme

java.lang.Object
uk.ac.starlink.ttools.scheme.SkySimScheme

All Implemented Interfaces:
  `uk.ac.starlink.table.Documented, uk.ac.starlink.table.TableScheme`

public class SkySimScheme extends Object implements uk.ac.starlink.table.TableScheme, uk.ac.starlink.table.Documented
TableScheme that can provide a simulated view of the sky. The current implementation uses data sampled from Gaia EDR3. Of course the real sky is not represented, but at first glance the rough distribution of stars across the sky and some basic photometry is plausible. The output table can be of arbitrary size. This can therefore be used for certain kinds of test data.

Since:
  6 Aug 2020
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkySimScheme()`

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`createTable(String argtxt)`
`String`
`getExampleSpecification()`
`String`
`getSchemeName()`
`String`
`getSchemeUsage()`
`String`
`getXmlDescription()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkySimScheme

public SkySimScheme()

## Method Details

### getSchemeName

public String getSchemeName()

Specified by:
  `getSchemeName` in interface `uk.ac.starlink.table.TableScheme`

### getSchemeUsage

public String getSchemeUsage()

Specified by:
  `getSchemeUsage` in interface `uk.ac.starlink.table.TableScheme`

### getXmlDescription

public String getXmlDescription()

Specified by:
  `getXmlDescription` in interface `uk.ac.starlink.table.Documented`

### getExampleSpecification

public String getExampleSpecification()

Specified by:
  `getExampleSpecification` in interface `uk.ac.starlink.table.TableScheme`

### createTable

public uk.ac.starlink.table.StarTable createTable(String argtxt) throws IOException

Specified by:
  `createTable` in interface `uk.ac.starlink.table.TableScheme`
Throws:
  `IOException`